#include <coleco.h>

/* Sound#1 : "beep" */
static const byte egg_snd[] = {
    0x43,0x00,0x72,5,0x11,0x90,0xF3,0x11,
    0x50};

static const byte jump_snd[] = {
    0x83,0x90,0x11,0x07,0x13,0xe1,0x18,0x11,
    0x90};

static const byte fire_snd[] = {
    /* white noise - freq 3495 Hz - vol 9 (max) swept down - length 31 */
    0x02,0x64,0x1f,0x1e,0x54,
    0x10};

static const byte inv_snd[] = {
    0xc3,0x56,0xe3,0x40,0x11,0xfa,0xc0,0x44,
    0xc3,0x56,0xe3,0x30,0x11,0xf5,0xc0,0x33,
    0xc3,0x56,0xe3,0x20,0x11,0xea,0xc0,0x22,
    0xc2,0x97,0x20,0x4c,0x1e,0x5b,
    0xd0};

static const byte bird_snd[] = {
    0x43,0xa2,0xe0,0x10,0x11,0xfa,0x90,0x11,
    0x43,0x70,0xe0,0x08,0x11,0xfa,0xa0,0x12,
    0x50};
    
extern const byte music_ch1[];
extern const byte music_ch2[];
    
const sound_t snd_table[] = {
    {egg_snd,SOUNDAREA1},
    {jump_snd,SOUNDAREA2},
    {fire_snd,SOUNDAREA3},
    {inv_snd,SOUNDAREA4},
    {bird_snd,SOUNDAREA5},
    {music_ch1,SOUNDAREA1},
   `{music_ch2,SOUNDAREA2}};
